//this file is part of eMule
//Copyright (C)2003 Merkur ( devs@emule-project.net / http://www.emule-project.net )
//
//This program is free software; you can redistribute it and/or
//modify it under the terms of the GNU General Public License
//as published by the Free Software Foundation; either
//version 2 of the License, or (at your option) any later version.
//
//This program is distributed in the hope that it will be useful,
//but WITHOUT ANY WARRANTY; without even the implied warranty of
//MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//GNU General Public License for more details.
//
//You should have received a copy of the GNU General Public License
//along with this program; if not, write to the Free Software
//Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#pragma once

class CPPgAckronicII : public CPropertyPage
{
	DECLARE_DYNAMIC(CPPgAckronicII)

public:
	CPPgAckronicII();
	virtual ~CPPgAckronicII();
	void Localize(void);
	// Dialog Data
	enum { IDD = IDD_PPG_ACKRONICII };

	

protected:
	bool	EnableCountryFlag;
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
    BOOL OnApply(void);
	void LoadSettings(void);
	BOOL OnInitDialog(void);

DECLARE_MESSAGE_MAP()
	afx_msg void OnSettingsChange()					{ SetModified(); }
	afx_msg void OnClickButton();//Family filter
	int m_iBufferTimeLimit;   //FrankyFive: Buffer Time Limit
	UINT m_iFileBufferSize;//BufferSize
	uint32 UpDataratePerClient;
	//Ackronic START - Aggiunto da Aenarion[ITA] - Nicehash
	uint32 m_iNiceHashLoadWeight;
	CSliderCtrl m_ctlNiceHashLoadWeight;
	//Ackronic END - Aggiunto da Aenarion[ITA] - Nicehash
	CSliderCtrl m_ctlBufferTimeLimit; //FrankyFive: Buffer Time Limit
	CSliderCtrl m_ctlFileBuffSize;//BufferSize
	CSliderCtrl m_ctlUpDataratePerClient;
	//DkD [sivka -Upload Slots and Upload Datarate Per Client-]
	//void ShowUpDRUpSlotsValues();
	//end Up Slots
	
	afx_msg void OnHScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
public:
	afx_msg void OnBnClickedChangePassff();
};
